FG {JADE} | R Documentation

## Joint Diagonalization of Real Positive-definite Matrices

### Description

This is a slightly modified version of Flury's FG algorithm for the joint diagonalization of k positive-definite matrices. The underlying function is written in C.

### Usage

    FG(X, weight = NULL, init = NULL, maxiter = 100, eps = 1e-06, na.action = na.fail)

### Arguments

`X` | A matrix of k stacked pxp matrices with dimension c(kp,p) or an array with dimension c(p,p,k).
`weight` | A vector of length k to give weight to the different matrices, if NULL, all matrices have equal weight.
`init` | Initial value for the orthogonal matrix to be estimated, if NULL, the identity matrix is used.
`maxiter` | Maximum number of iterations.
`eps` | Convergence tolerance.
`na.action` | A function which indicates what should happen when the data contain 'NA's. Default is to fail.

### Value

A list with the components

`V` | An orthogonal matrix.
`D` | A stacked matrix with the diagonal matrices or an array with the diagonal matrices. The form of the output depends on the form of the input.
`iter` | The Fortran function returns also the number of iterations.

### Author(s)

Jari Miettinen

### References

Flury, B. D. (1998), Common principal components and related models, Wiley, New York.

### See Also

`rjd`, `rjd.fortran`

[Package JADE version 2.0-2 Index]